
function E0090()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(4)
end

function InitMap()
    if(FLJ("JackSantaGo")) then
        --改变地形
        CMP("cmpLayer_1","mainLayer")
    end
end

function GoVillageAround()
    if(ITJ("Arowana")) then
        KEY()
        MYB(0,PLY())WAS()
        MS4("\nLet's give the big fish to Mr. Cat first.")NOD()
    else
        PRI()FAO(3)TRA("CS_village_around","E0091",68,9,1,14)
    end
end

function GoPath()
    if(FLJ("JackSantaGo")) then
        KEY()
        MYB(1,PLY())WAS()
        FAC("jack_normal")MS4("\nNo need to go there...")NOD()
    else
        PRI()FAO(1)TRA("CS_path","E0093",1,13,1,16)
    end
end

function GoMonsterX()
    PRI()FAO(1)TRA("CS_monsterX","E0093",16,15,1,4)
end

function GoCave()
    PRI()FAO(0)TRA("CS_cave","E0090",19,12)
end

function GoUnderPath()
    if(ITJ("TorokoNecklace")) then
        if(ITJ("MapSystem")) then
            PRI()FAO(2)TRA("CS_underpath","E0093",5,6)
        else
            if(FLJ("FindMapSystem")) then
                KEY()
                FAC("jack_normal")MS4("We must find the - MAP SYSTEM -")
                CAT("\nbefore we set out.")NOD()
            else
                KEY()
                FAC("jack_normal")MS4("I remember King mentioned")
                CAT("\nhe left the - MAP SYSTEM - somewhere")
                CAT("\nin the village.")NOD()CLR()
                CAT("Let's find it and take it with us")
                CAT("\nbefore we leave...")NOD()
            end
        end
    else
        PRI()
        FAC("jack_normal")MS4("Actually, let's find some clues first")
        CAT("\nbefore setting out...")NOD()
    end
end

function MeetMonsterX()
    KEY()MM0(PLY())WAS()
    CNP("MonsterX1","CS_monsterx_animate",0,0)
    ANP("MonsterX1",1060,0)
    WAI(150)
    MS4("Hey!")NOD()
    CAT("\nYou finally came out from the village, meow~")NOD()
    CAT("\nActually, I've been watching you") 
    CAT("\nby the pond for a long time...")NOD()CLR()
    CAT("What?")NOD()
    CAT("\nYou want me to help you find a chubby Mimiga?")NOD()
    CAT("\nThen feed me first,")NOD()
    CAT("\nJust one big fish will do!")NOD()CLR()
    CAT("I live up there,")NOD()
    CAT("\nCome find me once you catch it.")NOD()CLO()
    ANP("MonsterX1",3,0)
    WAI(120)
    DNP("MeetMonsterX")
    DNP("MonsterX1")
    FLP("MeetMonsterX")
    MSA("Fishing")
end

function KanpaMapSystemDrop()
    PRI()
    MS4("\nThis is the Map System...")NOD()CLR()
    ITP("MapSystem")
    GIT("MapSystem")
    SOU("CS_038_get_item")
    DNP("KanpaMapSystemDrop")
    FLS("KanpaMapSystemDrop")
    CMU("CS_Fanfale1")
    CAT("\nObtained =MAP SYSTEM=.")WAI(160)NOD()CLR()
    RMU()
end